# Visualization
TKV3d
Graphic3d

# Graphic3d_ArrayOfQuadrangles Class Reference

`#include <Graphic3d_ArrayOfQuadrangles.hxx>`

Inheritance diagram for Graphic3d_ArrayOfQuadrangles:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_ArrayOfQuadrangles (const Standard_Integer maxVertexs, const Standard_Integer maxEdges=0, const Standard_Boolean hasVNormals=Standard_False, const Standard_Boolean hasVColors=Standard_False, const Standard_Boolean hasTexels=Standard_False, const Standard_Boolean hasEdgeInfos=Standard_False)

Creates an array of quadrangles,
a quadrangle can be filled as:
1) creating a set of quadrangles defined with his vertexs.
i.e:
myArray = Graphic3d_ArrayOfQuadrangles(8)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x8,y8,z8)
3) creating a set of indexed quadrangles defined with his vertex
ans edges.
i.e:
myArray = Graphic3d_ArrayOfQuadrangles(6,8)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x6,y6,z6)
myArray->AddEdge(1)
myArray->AddEdge(2)
myArray->AddEdge(3)
myArray->AddEdge(4)
myArray->AddEdge(3)
myArray->AddEdge(4)
myArray->AddEdge(5)
myArray->AddEdge(6)
<maxvertexs> defined the maximun allowed vertex number in the array.
<maxedges> defined the maximun allowed edge number in the array.
Warning:
When <hasvnormals> is TRUE , you must use one of
AddVertex(Point,Normal)
or AddVertex(Point,Normal,Color)
or AddVertex(Point,Normal,Texel) methods.
When <hasvcolors> is TRUE , you must use one of
AddVertex(Point,Color)
or AddVertex(Point,Normal,Color) methods.
When <hastexels> is TRUE , you must use one of
AddVertex(Point,Texel)
or AddVertex(Point,Normal,Texel) methods.
When <hasedgeinfos> is TRUE , <maxedges> must be > 0 and
you must use the
AddEdge(number,visibillity) method.
Warning:
the user is responsible about the orientation of the quadrangle
depending of the order of the created vertex or edges and this
orientation must be coherent with the vertex normal optionnaly
given at each vertex (See the Orientate() methods).
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_ArrayOfQuadrangles::Graphic3d_ArrayOfQuadrangles | ( | const Standard_Integer | maxVertexs,
|  | const Standard_Integer | maxEdges = `0`,
|  | const Standard_Boolean | hasVNormals = `Standard_False`,
|  | const Standard_Boolean | hasVColors = `Standard_False`,
|  | const Standard_Boolean | hasTexels = `Standard_False`,
|  | const Standard_Boolean | hasEdgeInfos = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_ArrayOfQuadrangles::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_ArrayOfPrimitives.

The documentation for this class was generated from the following file:

- Graphic3d_ArrayOfQuadrangles.hxx